<?php
function led_tv_social_media_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Social Media
	=========================================*/
	$wp_customize->add_section(
        'led_tv_social_media_header',
        array(
        	'priority'      => 3,
            'title' 		=> __('Social Media','led-tv'),
			'panel'  		=> 'led_tv_frontpage_sections',
		)
    );

   	$wp_customize->add_setting(
    	'led_tv_social_media_facebook',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'led_tv_social_media_facebook',
		array(
		    'label'   		=> __('Facebook URL','led-tv'),
		    'section'		=> 'led_tv_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'led_tv_social_media_twitter',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'led_tv_social_media_twitter',
		array(
		    'label'   		=> __('Twitter URL','led-tv'),
		    'section'		=> 'led_tv_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);	

	$wp_customize->add_setting(
    	'led_tv_social_media_instagram',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'led_tv_social_media_instagram',
		array(
		    'label'   		=> __('Instagram URL','led-tv'),
		    'section'		=> 'led_tv_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'led_tv_social_media_linkedin',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'led_tv_social_media_linkedin',
		array(
		    'label'   		=> __('Linkedin URL','led-tv'),
		    'section'		=> 'led_tv_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'led_tv_social_media_youtube',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);	
	$wp_customize->add_control( 
		'led_tv_social_media_youtube',
		array(
		    'label'   		=> __('Youtube URL','led-tv'),
		    'section'		=> 'led_tv_social_media_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting( 'led_tv_upgrade_page_settings_13',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Led_TV_Control_Upgrade(
        $wp_customize, 'led_tv_upgrade_page_settings_13',
            array(
                'priority'      => 200,
                'section'       => 'led_tv_social_media_header',
                'settings'      => 'led_tv_upgrade_page_settings_13',
                'label'         => __( 'LED TV Pro comes with additional features.', 'led-tv' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'led-tv' ), __( 'One-Click Demo Import', 'led-tv' ), __( 'WooCommerce Integrated', 'led-tv' ), __( 'Drag & Drop Section Reordering', 'led-tv' ),__( 'Advanced Typography Control', 'led-tv' ),__( 'Intuitive Customization Options', 'led-tv' ),__( '24/7 Support', 'led-tv' ), )
            )
        )
    ); 
}
add_action( 'customize_register', 'led_tv_social_media_header_settings' );